ARDUINO COMMAND LINE MANUAL(1)

NAME
arduino-cli-core-upgrade - Upgrades one or all installed platforms to the latest version.

SYNOPSIS
arduino-cli core upgrade [PACKAGER:ARCH] ... [flags]

DESCRIPTION
Upgrades one or all installed platforms to the latest version.

OPTIONS
-h, --help[=false]
    help for upgrade

--run-post-install[=false]
    Force run of post-install scripts (if the CLI is not running interactively).

--run-pre-uninstall[=false]
    Force run of pre-uninstall scripts (if the CLI is not running interactively).

--skip-post-install[=false]
    Force skip of post-install scripts (if the CLI is running interactively).

--skip-pre-uninstall[=false]
    Force skip of pre-uninstall scripts (if the CLI is running interactively).

OPTIONS INHERITED FROM PARENT COMMANDS
--additional-urls=[]
    Comma-separated list of additional URLs for the Boards Manager.

--config-dir=""
    Sets the default data directory (Arduino CLI will look for configuration file in this directory).

--config-file=""
    The custom config file (if not specified the default will be used).

--json[=false]
    Print the output in JSON format.

--log[=false]
    Print the logs on the standard output.

--log-file=""
    Path to the file where logs will be written.

--log-format="text"
    The output format for the logs, can be: text, json

--log-level="info"
    Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic

--no-color[=false]
    Disable colored output.

EXAMPLE
      # upgrade everything to the latest version
      debian/build/bin/arduino-cli core upgrade

      # upgrade arduino:samd to the latest version
      debian/build/bin/arduino-cli core upgrade arduino:samd

SEE ALSO
arduino-cli-core(1)

HISTORY
15-Aug-2026 Auto generated by spf13/cobra